Bug 1410963 - roundcubemail-1.3.0 is available
Summary: roundcubemail-1.3.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: roundcubemail
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: endroid/qrcode
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-07 00:20 UTC by Upstream Release Monitoring
Modified: 2017-07-03 14:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-03 14:42:43 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.33 KB, patch)
2017-01-07 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-07 00:20:31 UTC
Latest upstream release: 1.3-beta
Current version/release in rawhide: 1.2.3-1.fc26
URL: http://www.roundcube.net

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6310/

Comment 1 Upstream Release Monitoring 2017-01-07 00:21:26 UTC
Patching or scratch build for roundcubemail-1.2.3 failed.

Comment 2 Upstream Release Monitoring 2017-01-07 00:21:29 UTC
Created attachment 1238143 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-07 00:21:32 UTC
Patches were not touched. All were applied properly

Comment 4 Fedora Admin XMLRPC Client 2017-03-14 15:13:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Upstream Release Monitoring 2017-04-27 00:21:40 UTC
Latest upstream release: 1.3-rc
Current version/release in rawhide: 1.2.4-1.fc27
URL: http://www.roundcube.net

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6310/

Comment 6 Upstream Release Monitoring 2017-04-27 00:21:48 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 7 Upstream Release Monitoring 2017-06-27 00:23:55 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.2.5-1.fc27
URL: http://www.roundcube.net

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6310/

Comment 8 Upstream Release Monitoring 2017-06-27 00:24:04 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 9 Remi Collet 2017-06-27 06:49:33 UTC
New dependencies:

* endroid/qrcode: ~1.6.5
* bacon/bacon-qr-code: ^1.0
* khanamiryan/qrcode-detector-decoder: ^0.0.1
* myclabs/php-enum: ^1.5

Comment 10 Remi Collet 2017-06-27 08:58:59 UTC
Major blocker (license issue with khanamiryan/qrcode-detector-decoder)

https://github.com/khanamiryan/php-qrcode-detector-decoder/issues/29

Comment 11 Remi Collet 2017-06-27 13:44:51 UTC
So, only "endroid/qrcode: ~1.6.5" is required (for now, other dep are for qrcode v2), so 1 single review is blocking.

People can try RPM available in "remi-test" repository
Ex: https://rpms.remirepo.net/fedora/26/test/x86_64/repoview/roundcubemail.html

I only plan to update to 1.3.0 in F26+
Version 1.2 is still maintained.

Comment 13 Upstream Release Monitoring 2017-07-03 14:41:39 UTC
remi's roundcubemail-1.3.0-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=914815


Note You need to log in before you can comment on or make changes to this bug.